> For the complete documentation index, see [llms.txt](https://docs.fibricheck.com/introduction/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fibricheck.com/introduction/changelog.md).

# Changelog

{% tabs %}
{% tab title="Flutter" %}

## v 2.0.0

### Breaking Changes

* `MeasurementCreationData.fromCameraSdk` is now taking a `Map<String, dynamic>` instead of a `String`. It's to follow the update from the `flutter-camera-sdk`.

### Additions

* Method to get the `GeneralConfiguration  &` `UserConfiguration`.
* Method to update the `UserConfiguration`.
* Method `getMostSevereLabel()` on the measurement.

### Updates

* Updated the method `updateProfile(ProfileData updateData,`` `~~`string userId`~~`)` to not require the `userId` anymore.
  {% endtab %}

{% tab title="React Native" %}

## v 4.1.0

### Added/fixed

New symptoms are added and can now be included as an array. New symptoms include:&#x20;

* racing\_heart
* dizziness
* feeling\_of\_fainting

The Symptoms, Activity and the SymptomSeverity are also exported as types now.

### Changed

The `onConsentNeeded` argument of the `authenticate` function has become optional.

## &#x20;v 4.0.0

### Breaking changes

* `sdk.updateProfile` signature changed from `updateProfile: (userId: string, profileData: ProfileData)` to `updateProfile: (profileData: ProfileData)`. This way, you don't need to provide the userId

### Added/improved

* The `ProfileData` interface has been expanded
* The user's time zone is now applied to the periodic reports
* Outdated reports are now rerendered

## v 3.0.0

### Breaking changes

* `postMeasurement`now throws a `NoActivePrescriptionError` when no active prescription is active when trying to post a measurement

### Added

* Symptom severity score can now be added to a measurement context
* `sdk.canPerformMeasurement`: check if you have an active prescription
* `sdk.updateMeasurementContext`: update the measurement context after a measurement has already been posted
* `sdk.updateProfile`: update profile information

### Changed

* Errors thrown by `sdk.activePrescription` are now more clear -> `NoActivePrescriptionError` & `AlreadyActivatedError`

## v 2.0.0

### Breaking changes

* renamed `getReportUrl` to `getMeasurementReportUrl`

```diff
- sdk.getReportUrl
+ sdk.getMeasurementReportUrl
```

### Added

* `sdk.getPeriodicReports`: gets a list of periodic reports
* `sdk.getPeriodicReportPdf`: get the pdf of a periodic report
* `sdk.activatePrescription`: activate a prescription hash, so the user can perform a measurement

### Changed

* `sdk.postMeasurement` now takes an optional `cameraSdkVersion` parameter

```diff
- sdk.postMeasurement(measurement)
+ sdk.postMeasurement(measurement, '1.0.0')
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fibricheck.com/introduction/changelog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
